# Uses of Class
org.apache.commons.lang.enums.Enum

Packages that use Enum
Package
Description
org.apache.commons.lang.enums
Provides an implementation of the C style `enum` in the Java world.

## Uses of Enum in org.apache.commons.lang.enums

Subclasses of Enum in org.apache.commons.lang.enums
Modifier and Type
Class
Description
`class`
`ValuedEnum`
Abstract superclass for type-safe enums with integer values suitable for use in `switch` statements.
Methods in org.apache.commons.lang.enums that return Enum
Modifier and Type
Method
Description
`protected static Enum`
Enum.`getEnum(Class enumClass, String name)`
Gets an `Enum` object by class and name.
`static Enum`
EnumUtils.`getEnum(Class enumClass, String name)`
Gets an `Enum` object by class and name.
`protected static Enum`
ValuedEnum.`getEnum(Class enumClass, int value)`
Gets an `Enum` object by class and value.